Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Merchant secret key, or an authorized Platform secret key with delegation where documented.

Headers

Ionic-Account
string

Merchant ID when an authorized Platform acts for a connected Merchant.

Pattern: ^mer_[0-9A-Za-z]{14}$

Query Parameters

limit
integer
default:20

Page size. Defaults to 20 and cannot exceed 100.

Required range: 1 <= x <= 100
starting_after
string

Return objects after this resource ID.

terminal_id
string

Return batches containing this Terminal.

Pattern: ^tmr_[0-9A-Za-z]{14}$
settlement_profile_id
string

Return batches for this Ionic settlement profile.

Pattern: ^stlp_[0-9A-Za-z]{24}$
status
enum<string>

Filter batch lifecycle status.

Available options:
open,
closing,
closed
reconciliation_status
enum<string>

Filter Ionic reconciliation status.

Available options:
not_started,
pending,
reconciled,
incomplete,
needs_attention
created_gte
string<date-time>

Created-at lower bound in RFC3339 format.

created_lte
string<date-time>

Created-at upper bound in RFC3339 format.

closed_gte
string<date-time>

Closed-at lower bound in RFC3339 format.

closed_lte
string<date-time>

Closed-at upper bound in RFC3339 format.

Response

A page of Terminal batches.

object
enum<string>
required
Available options:
list
has_more
boolean
required
data
object[]
required
next_cursor
string | null